Subject: Re: bug#16526: 24.3.50; scroll-conservatively & c-mode regression
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 22 Jun 2014 19:49:29 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 06 Feb 2014 08:01:32 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Date: Wed, 5 Feb 2014 23:00:01 +0000
> > Cc: [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>
> > 
> > > Do you need help in identifying what takes 11 sec in the unoptimized
> > > build to traverse a few lines?
> > 
> > Thanks for the offer.  I really need to get down and spend a few hours
> > investigating.  I've elp'd CC Mode, and tried M-> (2 seconds) followed
> > by <PgUp> (13 seconds), and it looks like
> > c-append-lower-brace-pair-to-state-cache is taking up the time.  It
> > seems it is being called too often.  Maybe.
> > 
> > Maybe I'll pin it down at the weekend.
> 
> Thanks.

I hope Alan did something with this issue, or will in some near
future.

But either way, the original bug was fixed, so I'm closing this.